Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ResultConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ResultConfig

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class ResultConfig

extends Located
implements java.io.Serializable

Configuration for Result.

In the xml configuration file this is defined as the `result` tag.

Author:
  Mike
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ResultConfig.Builder` The builder for this object.

Field Summary
`protected java.lang.String` | `className`
`protected java.lang.String` | `name`
`protected java.util.Map<java.lang.String,java.lang.String>` | `params`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ResultConfig(ResultConfig orig)`
`protected` | `ResultConfig(java.lang.String name, java.lang.String className)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
`int` | `hashCode()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    protected java.util.Map<java.lang.String,java.lang.String> params

### className

    protected java.lang.String className

### name

    protected java.lang.String name

Constructor Detail

### ResultConfig

    protected ResultConfig(java.lang.String name,
                           java.lang.String className)

### ResultConfig

    protected ResultConfig(ResultConfig orig)

Method Detail

### getClassName

    public java.lang.String getClassName()

### getName

    public java.lang.String getName()

### getParams

    public java.util.Map<java.lang.String,java.lang.String> getParams()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.